# $Revision: 1.7 $, $Date: 2004/09/28 22:54:30 $
Summary:	Graphical front-end for FREE CIVilization clone
Summary(es):	GTK front-end por Clon del juego Civilization
Summary(pl):	Graficzny frontend dla serwera freeciv
Name:		gcivserv
Version:	0.1b
Release:	3
License:	GPL
Group:		X11/Applications/Games/Strategy
Source0:	http://www.hoeyer.de/projects/gcivserv/src/gCivServ-%{version}.tgz
# Source0-md5:	8118a8dfb67efff5ef0ee7592f9ae41e
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-pl_lang.patch
Patch1:		%{name}-enviroment.patch
URL:		http://www.freeciv.org/
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel > 1.2.1
Requires:	freeciv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK front-end for server of freeciv - clone of Sid Meiers
Civilization.

%description -l es
GTK front-end por Clon del juego Civilization.

%description -l pl
Graficzny frontend dla serwera freeciv - klonu Civilization Sida
Meiersa.

%prep
%setup -q -n gCivServ-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure2_13 \
	--with-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults \
	$RPM_BUILD_ROOT{%{_applnkdir}/Games/Strategy,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Strategy
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog NEWS
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Games/Strategy/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below (appart W. Kierbed) can be reached at <cvs_login>@pld-linux.org

$Log: gcivserv.spec,v $
Revision 1.7  2004/09/28 22:54:30  paladine
- rel 3 for fixed desktop file

Revision 1.6  2003/09/30 22:09:39  jasio
- Updated environment patch from Wieslaw Kierbedz

Revision 1.5  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:47:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/16 20:14:21  jasio
Added environment patch from Wieslaw Kierbedz

Revision 1.2  2003/03/29 19:23:35  qboosh
- removed Ra-specific prefix, BR: gettext-devel, cosmetics

Revision 1.1  2003/03/22 02:26:43  jasio
This spec is from Wieslaw Kierbedz (and with PPL-language pack from him).
This release has Ra-pref.ix

* Sun Mar 2 2003 Wiesaw Kierbed <sprawki@wp.pl>
  [1]
- spec writed for PLD team (based on old spec for freeciv).
